Bug 156870 - Wrong highschore tab is shown when no highscore is archieved
Summary: Wrong highschore tab is shown when no highscore is archieved
Status: RESOLVED FIXED
Alias: None
Product: knetwalk
Classification: Unclassified
Component: general (show other bugs)
Version: 2.0.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Matt Williams
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-28 21:31 UTC by F Fracassi
Modified: 2008-05-01 18:43 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description F Fracassi 2008-01-28 21:31:16 UTC
Version:           2.0.0 (using KDE 4.0.0)
Installed from:    Compiled From Sources
Compiler:          gcc x86_64 
OS:                Linux

When you win a game, but don't get a Highscore the Highscore dialog always defaults to the "easy" tab, not to the tab with the difficulty level you have just played.
Comment 1 Matt Williams 2008-04-28 14:11:39 UTC
I'll take over this bug since it will likely be fixed by the patch that I'm working on.
Comment 2 Matt Williams 2008-05-01 18:43:40 UTC
SVN commit 803022 by milliams:

Fix the mess that was i18n in KScoreDialog. Scores are now indexed by a key and translations for each key are added explicitly.
Patch KSquares, KMines, KNetwalk and Kollision to use this correctly.

BUG: 151415
BUG: 153811
BUG: 154582
BUG: 156870

CCMAIL: kde-games-devel@kde.org

 M  +5 -4      kmines/mainwindow.cpp  
 M  +4 -2      knetwalk/src/mainwindow.cpp  
 M  +4 -2      kollision/mainwindow.cpp  
 M  +6 -2      ksquares/src/ksquareswindow.cpp  
 M  +98 -43    libkdegames/highscore/kscoredialog.cpp  
 M  +41 -3     libkdegames/highscore/kscoredialog.h  
 M  +41 -13    libkdegames/kgamedifficulty.cpp  
 M  +12 -0     libkdegames/kgamedifficulty.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=803022